﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[DRLSUM]') AND name = N'key2')
BEGIN 
PRINT 'Creating index key2 on table DRLSUM'
CREATE UNIQUE NONCLUSTERED INDEX [key2] ON [dbo].[DRLSUM] 
(
	[RTI] ASC,
	[NUMB] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[DRLSUM]') AND name = N'XDRLSUM1')
BEGIN 
PRINT 'Creating index XDRLSUM1 on table DRLSUM'
CREATE UNIQUE NONCLUSTERED INDEX [XDRLSUM1] ON [dbo].[DRLSUM] 
(
	[DATE1] ASC,
	[NUMB] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DRLSUM' AND COLUMN_NAME = 'VALU' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DRLSUM_VALU')
BEGIN 
    PRINT 'Creating default constraint DF_DRLSUM_VALU on table DRLSUM' 
    ALTER TABLE [dbo].[DRLSUM]
    ADD CONSTRAINT [DF_DRLSUM_VALU] DEFAULT ((0)) FOR [VALU]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DRLSUM' AND COLUMN_NAME = 'CLAS' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DRLSUM_CLAS')
BEGIN 
    PRINT 'Creating default constraint DF_DRLSUM_CLAS on table DRLSUM' 
    ALTER TABLE [dbo].[DRLSUM]
    ADD CONSTRAINT [DF_DRLSUM_CLAS] DEFAULT ('00') FOR [CLAS]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DRLSUM' AND COLUMN_NAME = 'COMM' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DRLSUM_COMM')
BEGIN 
    PRINT 'Creating default constraint DF_DRLSUM_COMM on table DRLSUM' 
    ALTER TABLE [dbo].[DRLSUM]
    ADD CONSTRAINT [DF_DRLSUM_COMM] DEFAULT ((0)) FOR [COMM]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DRLSUM' AND COLUMN_NAME = 'TKEY' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DRLSUM_TKEY')
BEGIN 
    PRINT 'Creating default constraint DF_DRLSUM_TKEY on table DRLSUM' 
    ALTER TABLE [dbo].[DRLSUM]
    ADD CONSTRAINT [DF_DRLSUM_TKEY] DEFAULT ((0)) FOR [TKEY]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DRLSUM' AND COLUMN_NAME = '0BBC' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DRLSUM_0BBC')
BEGIN 
    PRINT 'Creating default constraint DF_DRLSUM_0BBC on table DRLSUM' 
    ALTER TABLE [dbo].[DRLSUM]
    ADD CONSTRAINT [DF_DRLSUM_0BBC] DEFAULT ((0)) FOR [0BBC]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DRLSUM' AND COLUMN_NAME = '0REL' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DRLSUM_0REL')
BEGIN 
    PRINT 'Creating default constraint DF_DRLSUM_0REL on table DRLSUM' 
    ALTER TABLE [dbo].[DRLSUM]
    ADD CONSTRAINT [DF_DRLSUM_0REL] DEFAULT ((0)) FOR [0REL]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DRLSUM' AND COLUMN_NAME = '1PRT' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DRLSUM_1PRT')
BEGIN 
    PRINT 'Creating default constraint DF_DRLSUM_1PRT on table DRLSUM' 
    ALTER TABLE [dbo].[DRLSUM]
    ADD CONSTRAINT [DF_DRLSUM_1PRT] DEFAULT ((0)) FOR [1PRT]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DRLSUM' AND COLUMN_NAME = 'IPSO' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DRLSUM_IPSO')
BEGIN 
    PRINT 'Creating default constraint DF_DRLSUM_IPSO on table DRLSUM' 
    ALTER TABLE [dbo].[DRLSUM]
    ADD CONSTRAINT [DF_DRLSUM_IPSO] DEFAULT ((0)) FOR [IPSO]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DRLSUM' AND COLUMN_NAME = 'RTI' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DRLSUM_RTI')
BEGIN 
    PRINT 'Creating default constraint DF_DRLSUM_RTI on table DRLSUM' 
    ALTER TABLE [dbo].[DRLSUM]
    ADD CONSTRAINT [DF_DRLSUM_RTI] DEFAULT ('N') FOR [RTI]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DRLSUM' AND COLUMN_NAME = 'EmployeeId' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DRLSUM_EmployeeId')
BEGIN 
    PRINT 'Creating default constraint DF_DRLSUM_EmployeeId on table DRLSUM' 
    ALTER TABLE [dbo].[DRLSUM]
    ADD CONSTRAINT [DF_DRLSUM_EmployeeId] DEFAULT ((0)) FOR [EmployeeId]
END 
GO

